/* Copyright 2021, Michele Santullo
 * This file is part of remarkable_tool.
 *
 * remarkable_tool is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Remarkable_tool is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with remarkable_tool.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include <QMainWindow>

class QTreeView;
class QMenu;
class QAction;
class QHBoxLayout;
class QTextEdit;

namespace duck {
class Node;
class NotebookTreeModel;

class MainWindow : public QMainWindow {
	Q_OBJECT
public:
	MainWindow (Node* tree);
	virtual ~MainWindow() noexcept;

private slots:
	void generate_dele_list();

private:
	QTreeView* m_tree;
	NotebookTreeModel* m_tree_model;

	QMenu* m_file_menu;
	QAction* m_gen_dele_list;
	QAction* m_quit_action;
	QHBoxLayout* m_central_layout;
	QTextEdit* m_output;
};
} //namespace duck
